###
### Converts input in Markdown (extended) to HTML, using
### Pandoc
###

require 'tempfile'

class PandocFilter < Nanoc3::Filter
  identifier :pandoc
  type :text

  def run(content, params={})
    input_file = Tempfile.new('input')

    input_file << content
    input_file.close

    output = `pandoc -f markdown -t textile -5 #{input_file.path}`

    return output

  end
end
