# -*- encoding: utf-8 -*-
# stub: Bayeux 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "Bayeux".freeze
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["David Love".freeze]
  s.date = "2011-05-04"
  s.description = "The core parser for the Bayeux document markup language, optimised for long-form documents. Generators are also provided for HTML, LaTeX and PanDoc".freeze
  s.email = "david@homeunix.org.uk".freeze
  s.extra_rdoc_files = ["README.rdoc".freeze]
  s.files = ["README.rdoc".freeze]
  s.homepage = "http://github.com/dlove24/Bayeux".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Parsers and generators for the Bayeux long document markup".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rubytree>.freeze, ["~> 0.8.1"])
    s.add_runtime_dependency(%q<spox-plist>.freeze, ["~> 3.0.1"])
    s.add_runtime_dependency(%q<spox-textpow>.freeze, ["~> 0.10.3"])
    s.add_runtime_dependency(%q<spox-ultraviolet>.freeze, ["~> 0.10.5"])
    s.add_runtime_dependency(%q<log4r>.freeze, ["~> 1.1.9"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0.0"])
    s.add_development_dependency(%q<jeweler>.freeze, ["~> 1.6.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.6.0"])
    s.add_development_dependency(%q<vclog>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_development_dependency(%q<riot>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rubytree>.freeze, ["~> 0.8.1"])
    s.add_dependency(%q<spox-plist>.freeze, ["~> 3.0.1"])
    s.add_dependency(%q<spox-textpow>.freeze, ["~> 0.10.3"])
    s.add_dependency(%q<spox-ultraviolet>.freeze, ["~> 0.10.5"])
    s.add_dependency(%q<log4r>.freeze, ["~> 1.1.9"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0.0"])
    s.add_dependency(%q<jeweler>.freeze, ["~> 1.6.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.6.0"])
    s.add_dependency(%q<vclog>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_dependency(%q<riot>.freeze, [">= 0"])
  end
end
